DescribePipeline
Retrieves detailed information about a specific pipeline in a workspace.
Request Syntax
GET /workspaces/workspaceName/pipelines/pipelineName?version=pipelineVersion HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- pipelineName
-
The name of the pipeline.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9_-]+Required: Yes
- pipelineVersion
-
The version number of the pipeline to retrieve. If not specified, returns the latest version.
Length Constraints: Minimum length of 1. Maximum length of 10.
Pattern:
^(0|([1-9]{1}\d*))$ - workspaceName
-
The name of the workspace.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"computations": [
{
"computeNodeName": "string",
"dependsOn": [ "string" ],
"environmentVariables": {
"string" : "string"
},
"taskName": "string"
}
],
"createdAt": number,
"description": "string",
"environmentVariables": {
"string" : "string"
},
"pipelineArn": "string",
"pipelineName": "string",
"status": {
"error": {
"code": "string",
"message": "string"
},
"state": "string"
},
"updatedAt": number,
"version": "string",
"workspaceName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- computations
-
The list of compute nodes that form the pipeline DAG.
Type: Array of ComputeNode objects
Array Members: Minimum number of 0 items. Maximum number of 50 items.
- createdAt
-
The time the pipeline was created, in Unix epoch time.
Type: Timestamp
- description
-
The description of the pipeline.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^\u0000-\u001F\u007F]+ - environmentVariables
-
The environment variables shared across all compute nodes in the pipeline.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 20 items.
Key Length Constraints: Minimum length of 1. Maximum length of 255.
Key Pattern:
(?!(?i)AWS_)[a-zA-Z_][a-zA-Z0-9_]*Value Length Constraints: Minimum length of 0. Maximum length of 1024.
- pipelineArn
-
The ARN of the pipeline.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$ - pipelineName
-
A unique name of the pipeline within the workspace.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9_-]+ - status
-
The current lifecycle status of the pipeline.
Type: ResourceStatus object
- updatedAt
-
The time the pipeline was last updated, in Unix epoch time.
Type: Timestamp
- version
-
The version of the pipeline.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 10.
Pattern:
^(0|([1-9]{1}\d*))$ - workspaceName
-
The name of the workspace.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: